clc
clear all; close all
%% INPUT laster og lengder
l=6000;
x=0:1:l;
d=252;
z=0.9*d;
Es=200000;
Asl=804;
bw=250;


%% Punktlast
P=70000;

VEdmax=P/2;
MEdmax=P*l/4;

for i=1:l+1
    if x(i) <= 3000;
       MEd(i) = VEdmax*x(i)/2;
    elseif x(i) > 3000;
        MEd(i) = MEdmax-x(i)*VEdmax/2;
    end
    
    epsiX1(i)=(1/(Asl*Es))*(VEdmax+MEd(i)/z);
    VRdc_MR_us(i)=((0.3/(1+epsiX1(i)*d*1))*(min(sqrt(35),8))*bw*d);
    VRdc(i)=(0.12*(1+sqrt(200/d)))*((100*(Asl/(bw*d))*35)^(1/3))*bw*d;
 
%% CM
alpha=90;
fck=35;
fcd=fck;
Ep=195000;
Ap=0;

    fcm=fck+8;
    Ecm=22*((fcm/10)^(0.3))*10^3;
 if fck<=50
        fctm=0.30*(fck)^(2/3);
    else fctm=2.12*log(1+(fcm/10));
 end

%6.2.2(4) 

alphaes=Es/Ecm;
alphaep=Ep/Ecm;
rhos=Asl/(bw*d);
rhop=Ap/(bw*d);

alphaerhol=alphaes*rhos+alphaep*rhop;
x0=d*0.75*(alphaerhol)^(1/3);

xCM=x0;

cottheta=1;
%Uten skjrarmering

a=MEdmax/VEdmax;
d0=max(d,100);
fcdcu=min(fcd,60);
zeta=max((2/sqrt(1+(d0/200)))*(d/a)^0.2,0.45);
kc=min(xCM/d,0.20);    
bveff=bw;

% Strekkbrudd
Vcu_CM(i)=max(0.3*zeta*(xCM/d)*((fcdcu)^(2/3))*bveff*d,0.25*(zeta*kc+(20/d0))*(fcdcu)^(2/3)*bw*d);

alphacw1=1;

if fck<=60
    nu=0.60;
else nu=max(0.9-(fck/200),0.5);
end

VRdmax_CM(i)=alphacw1*bw*z*nu*fcd*((cottheta+cotd(alpha))/(1+(cottheta)^2));

VRd_CM_uten(i)=min(Vcu_CM(i),VRdmax_CM(i));
end

%% FIGURER
figure(1), axis([0 6000 0 1]), title('Utnyttelse 70kN punktlast midt')
hold on
plot(x,VEdmax./VRdc_MR_us,'-b')
plot(x,VEdmax./VRdc,'-g')
plot(x,VEdmax./VRd_CM_uten,'-r')
plot(x,epsiX1*100,'-black')
legend 'Utnyttelse MR' 'Utnyttelse EC 2' 'Utnyttelse CM' 'Skalert tyning'
hold off
